<?php
/**
 * Kindergarten Learning: Block Patterns
 *
 * @since Kindergarten Learning 1.0
 */

function kindergarten_learning_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'kindergarten-learning' => array( 'label' => __( 'Kindergarten Learning', 'kindergarten-learning' ) )
	);
	$block_pattern_categories = apply_filters( 'kindergarten_learning_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'kindergarten_learning_register_block_patterns', 9 );